const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.supermemory.ai/v3/documents/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.supermemory.ai/v3/documents/list"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.supermemory.ai/v3/documents/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"memories": [
{
"id": "acxV5LHMEsG2hMSNb4umbn",
"title": "API Rate Limiting Policy",
"summary": "API rate limit policy: 100 req/min free, 1000 req/min pro.",
"status": "done",
"type": "text",
"createdAt": "2025-04-15T09:30:00.000Z",
"updatedAt": "2025-04-15T09:31:00.000Z"
}
],
"pagination": {
"currentPage": 1,
"limit": 10,
"totalItems": 100,
"totalPages": 10
}
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}List documents
Retrieves a paginated list of documents with their metadata and workflow status
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.supermemory.ai/v3/documents/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.supermemory.ai/v3/documents/list"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.supermemory.ai/v3/documents/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"memories": [
{
"id": "acxV5LHMEsG2hMSNb4umbn",
"title": "API Rate Limiting Policy",
"summary": "API rate limit policy: 100 req/min free, 1000 req/min pro.",
"status": "done",
"type": "text",
"createdAt": "2025-04-15T09:30:00.000Z",
"updatedAt": "2025-04-15T09:31:00.000Z"
}
],
"pagination": {
"currentPage": 1,
"limit": 10,
"totalItems": 100,
"totalPages": 10
}
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Query parameters for listing documents
Optional tags this document should be containerized by. This can be an ID for your user, a project ID, or any other identifier you wish to use to group documents.
100^[a-zA-Z0-9_:-]+$Optional filters to apply to the search. Can be a JSON string or Query object.
- Option 1
- Option 2
Show child attributes
Show child attributes
Whether to include the content field in the response. Warning: This can make responses significantly larger.
false
Number of items per page
^\d+$"10"
Sort order
asc, desc "desc"
Page number to fetch
^\d+$"1"
Field to sort by
createdAt, updatedAt "createdAt"
Filter documents by filepath. Exact match for full paths, prefix match if ending with /
Was this page helpful?